%define	longname  QJoyPad

Summary:	%{longname} - Emulate keyboard or mouse actions with a joystick
Summary(de):	%{longname} - Emuliert Tastatur oder Maus-Aktionen mit einem Joystick
Name:		qjoypad
Version:	4.1.0
Release:	%mkrel 1
Source0:	http://downloads.sourceforge.net/project/qjoypad/qjoypad/%{name}-4.1/%{name}-%{version}.tar.xz
Source1:	%{name}-16x16.png.bz2
Source2:	%{name}-32x32.png.bz2
Source3:	%{name}-48x48.png.bz2
Group:		System/Kernel and hardware
License:	GPLv2
URL:		http://qjoypad.sourceforge.net/
BuildRoot:	%_tmppath/%{name}-build
BuildRequires:	qt4-devel
BuildRequires:	libxtst-devel

%description
QJoyPad converts input from a gamepad or joystick into key-presses or mouse 
actions, letting you control any X program with your game controller.
It comes with a convenient and easy-to-use interface.
%description -l de
QJoyPad wandelt Eingaben von einem Gamepad oder Joystick in Schlüssel-Abdruck oder 
Mausaktionen um, sodass Sie die Kontrolle jedes X-Programm mit Ihren Game-Controller haben. 
Es kommt mit einer praktischen und einfach zu bedienende Benutzeroberfläche.

%prep

%setup -q
bzcat %{SOURCE1} > %{name}-16x16.png
bzcat %{SOURCE2} > %{name}-32x32.png
bzcat %{SOURCE3} > %{name}-48x48.png

perl -pi -e 's,^doc\.extra,#doc\.extra,' src/qjoypad.pro
sed -i '/icons\.extra/s,\$\${icons\.path},\$\(INSTALL_ROOT\)\$\${icons\.path},g' src/qjoypad.pro

%build
cd src
./config --prefix=%{_prefix}

%make

%install
rm -rf %{buildroot}

%makeinstall INSTALL_ROOT=%{buildroot} -C src

#icons for the menu
install -D -m 644 %{name}-48x48.png %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{name}-32x32.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-16x16.png %{buildroot}%{_miconsdir}/%{name}.png


install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{longname}
Comment=Emulate keyboard or mouse actions with a joystick
Comment[de]=Emuliert Tastatur oder Maus-Aktionen mit einem Joystick
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;Settings;X-MandrivaLinux-System-Configuration-Other;
EOF


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt LICENSE.txt
%{_bindir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Fri Jul 23 2010 maik3531 <maik3531 at yahoo.de> 4.1.0-1pclos2010
- import package

